Package twisted :: Package im :: Module gtkcommon

[show private | hide private]
[frames | no frames]

## Module twisted.im.gtkcommon

Classes
`InputOutputWindow` |

Function Summary
| `autoConnectMethods(*objs)`
| `createMethodDict(o, d)`
| `openGlade(*args, **kwargs)`

Variable Summary
`int` | `AWAY`
`FakeModule` | `False`
`str` | `GLADE_FILE`
`FakeModule` | `GladeXML`
`FakeModule` | `gtk`
`FakeModule` | `isCursorOnFirstLine`
`FakeModule` | `isCursorOnLastLine`
`int` | `OFFLINE`
`int` | `ONLINE`
`str` | `SETTINGS_FILE`
`FakeModule` | `True`

Variable Details

### AWAY

  Type:
    `int`
  Value:

        2

### False

  Type:
    `FakeModule`
  Value:

        <Fake gtk.FALSE>

### GLADE_FILE

  Type:
    `str`
  Value:

        '/home/radix/rel/Twisted-1.0.5/twisted/im/instancemessenger.glade'

### GladeXML

  Type:
    `FakeModule`
  Value:

        <Fake libglade.GladeXML>

### gtk

  Type:
    `FakeModule`
  Value:

        <Fake gtk>

### isCursorOnFirstLine

  Type:
    `FakeModule`
  Value:

        <Fake twisted.manhole.ui.pywidgets.isCursorOnFirstLine>

### isCursorOnLastLine

  Type:
    `FakeModule`
  Value:

        <Fake twisted.manhole.ui.pywidgets.isCursorOnLastLine>

### OFFLINE

  Type:
    `int`
  Value:

        0

### ONLINE

  Type:
    `int`
  Value:

        1

### SETTINGS_FILE

  Type:
    `str`
  Value:

        '/home/radix/.InstanceMessenger'

### True

  Type:
    `FakeModule`
  Value:

        <Fake gtk.TRUE>

Generated by Epydoc 1.1 on Thu May 8 13:18:22 2003 | http://epydoc.sf.net